Subject: bug#53800: 29.0.50; pcomplete does not search completion function in parent major mode

From: TAKAHASHI Yoshio <[email-masked]>
Date: Sat, 05 Feb 2022 22:37:43 +0900

hi,

Is there any reason that `pcomplete-find-completion-function' does not
search a completion function in parent major mode?

My use case is:
- In org-mode, I define some `org-link-abbrev-alist' enties.
  I can complete LINK in org-mode buffers, because org-mode defines
  `pcomplete/org-mode/link' in org-pcomplete.el.
- But, in org-journal-mode buffers, that derived from org-mode, LINK
  completion fails.  Nobody defines `pcomplete/org-journal-mode/link'.

org-journal-mode will be able to define those pcomplete functions by
itself as defalias to org-mode's counterpart. but if p-f-c-f searchs
parent, grand parent, ... major mode during find completion function,
p-f-c-f can find a completion function in parent major mode, and it
will work in derived mode buffers.

-- 
tkh